.root {
  &[data-variant='confirm'] {
    padding-top: rem(1);
    padding-bottom: rem(2);
    padding-left: rem(1.3);
    padding-right: rem(1.2);
    border: 0;
    background-image: linear-gradient(45deg, var(--mantine-color-etherlink-6) 0%, var(--mantine-color-tezos-6) 100%);
    background-size: 200% auto; /* Set background size to 200% */
    background-position: left bottom; /* Set initial background position */
    transition: background-position 0.5s ease; /*Generation Add transition for background position */
  
    @mixin hover {
      background-position: right bottom; /* Change background position on hover */
    }
  }

  &[data-variant='wallet'] {
    padding-top: rem(1);
    padding-bottom: rem(2);
    padding-left: rem(1.3);
    padding-right: rem(1.2);
    border: 0;
    background-image: linear-gradient(45deg, var(--mantine-color-tezos-9) 0%, var(--mantine-color-etherlink-9) 100%);  
  }
}

.inner {
  &[data-variant='confirm'] {
    color: var(--mantine-color-text);
    border-radius: var(--mantine-radius-md);
    padding-left: var(--mantine-spacing-md);
    padding-right: var(--mantine-spacing-md);
  }

  &[data-variant='wallet'] {
    background: var(--mantine-color-body);
    color: var(--mantine-color-text);
    border-radius: var(--mantine-radius-md);
    padding-left: var(--mantine-spacing-md);
    padding-right: var(--mantine-spacing-md);
  
    @mixin hover {
      background-color: light-dark(
        var(--mantine-color-gray-0),
        var(--mantine-color-gray-8)
      );
    }
  }
}
